import { jsx } from "react/jsx-runtime";
import { FileJsx as FileJsx$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const FileJsx = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "FileJsx", ...props, children: /* @__PURE__ */ jsx(FileJsx$1, { weight: variant }) });
  }
);
FileJsx.displayName = "FileJsx";
Object.assign(FileJsx, { isGdsIcon: true });
export {
  FileJsx
};
